<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title">Start warning</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <p>Do you want to send the
      <span class="badge badge-success badge-pill">START</span> command? Click send to confirm.</p>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-danger" (click)="c(REASON_CANCEL)">Cancel</button>
    <button type="button" class="btn btn-warning" (click)="c(REASON_SUCCESS)">Send</button>
  </div>

</ng-template>


<ng-template #stop let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title">Stop warning</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <p>Do you want to send the
      <span class="badge badge-danger badge-pill">STOP</span> command? Click send to confirm.</p>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-danger" (click)="c(REASON_CANCEL)">Cancel</button>
    <button type="button" class="btn btn-warning" (click)="c(REASON_SUCCESS)">Send</button>
  </div>
</ng-template>



<div class="animated fadeIn">
  <div class="card">
    <div class="card-header">
      <i class="icon-map"></i>Asset Tracking
      <div class="card-actions">
        <!-- <a href="https://github.com/SebastianM/angular-google-maps" target="_blank"><small class="text-muted">docs</small></a> -->
      </div>
    </div>
    <div class="card-body">
      <!-- <small>{{ title }} {{id}}</small> -->
      <!-- this creates a google map on the page with the given lat/lng from -->
      <!-- the component as the initial center of the map: -->

      <agm-map [latitude]="28.717012" [longitude]="77.11383" [zoom]="10">
          <div *ngFor="let singleAsset of currentAssets">
        <agm-marker *ngIf="singleAsset.lat != null || singleAsset.lon != null"  [title]="singleAsset.assetId" [iconUrl]="this.icon(singleAsset.status)"  [latitude]="singleAsset.lat" [label]="singleAsset.markerLabel"
          [longitude]="singleAsset.lon">
        </agm-marker></div>
        </agm-map>
    </div>
  </div>
  <div class="card card-accent-warning">
    <div class="card-header">
      <i class="fa fa-align-justify"></i>Asset List
      <button type="Submit" title="Refresh Asset list" class="btn bg-primary" (click)="fetchData(1)" style="float: right">Refresh</button>
    </div>
    <div *ngIf="isLoading==true" class="progress">
      <div class="progress-bar progress-bar-striped progress-bar-animated bg-primary" role="progressbar" aria-valuenow="100" aria-valuemin="0"
        aria-valuemax="100"></div>
    </div>
    <div class="card-body">
      <div style="margin-bottom : 1rem">
        <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped table-bordered row-border hover">
          <thead>
            <tr>
              <th>Asset ID</th>
              <th>Driver</th>
              <th>LSP</th>
              <th>Status</th>
              <th>Last Updated</th>
              <th>AH Used</th>
              <th>KM left</th>
              <th>KM Driven</th>
              <th>Stop</th>
              <th>Start</th>
              <th>Track</th>
              <th>Path</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let asset of currentAssets">
              <td *ngIf="asset.assetId; else emptyStr">
                <a [routerLink]="['/dashboard','assetcheck',asset.assetId]">{{ asset.assetId }}</a>
              </td>
              <td *ngIf="asset.currentAssignee; else emptyStr">{{ asset.currentAssignee.name }}</td>
              <td *ngIf="asset.secondaryOwner; else emptyStr">{{ asset.lspName }}</td>
              <ng-template #emptyStr>
                <td>NA</td>
              </ng-template>
               <td>
                <div *ngIf="asset.status=='1';">
                  <span class="badge badge-danger badge-pill pad8">Charging</span>
                </div>
                <div *ngIf="asset.status=='0'">
                  <span class="badge badge-warning badge-pill pad8">Idle</span>
                </div>
                <div *ngIf="asset.status=='-1'">
                  <span class="badge badge-info badge-pill pad8">Discharging</span>
                </div>
                <div *ngIf="asset.status=='2'">
                  <span class="badge badge-success badge-pill pad8">New</span>
                </div>
                <ng-template *ngIf="asset.status==''">
                  {{asset.status}}
                </ng-template>
              </td>
              <td>{{ gettime( asset.updatedAtTime, asset.updatedAtDate) }}</td>
              <td>{{ asset.capUsed | number: '1.2-2' }}</td>
              <td >{{ asset.kmLeft | number : '1.2-2' }}</td>
              <td >{{ asset.kmDriven | number : '1.2-2' }}</td>
              <td>
                <ul class="icons-list">
                  <li>
                    <div class="actions">
                      <button type="button" title="Stop the battery" class="btn btn-link text-muted" (click)="showModalConfirmation(stop , asset.assetId, '1', asset.mNumber )">
                        <i class="icon-ban"></i>
                      </button>
                    </div>
                  </li>
                </ul>
              </td>
              <td>
                <ul class="icons-list">
                  <li>
                    <div class="actions">
                      <button type="button" title="Start the battery" class="btn btn-link text-muted" (click)="showModalConfirmation(content ,asset.assetId, '2', asset.mNumber)">
                        <i class="icon-speedometer"></i>
                      </button>
                    </div>
                  </li>
                </ul>
              </td>
              <td>
                <ul class="icons-list">
                  <li>
                    <div class="actions">
                      <button type="button" title="Track the asset" class="btn btn-link text-muted" [routerLink]="['/dashboard','trackasset',asset.assetId]">
                        <i class="icon-location-pin"></i>
                      </button>
                    </div>
                  </li>
                </ul>
              </td>
              <td>
                <ul class="icons-list">
                  <li>
                    <div class="actions">
                      <button type="button" title="Recent Path of Battery" class="btn btn-link text-muted" [routerLink]="['/dashboard','recentpath',asset.assetId]">
                        <i class="icon-location-pin"></i>
                      </button>
                    </div>
                  </li>
                </ul>
              </td>
            </tr>
          </tbody>
      </table>
      </div>
    </div>
  </div>
 <!--  <ngb-pagination class="d-flex justify-content-center" [collectionSize]="currentAssets.length" [pageSize]="10" [(page)]="page"
   [boundaryLinks]="true"></ngb-pagination>
  -->
